Skip to main content
POST
Process Application By Alias

Authorizations

x-api-key
string
header
required

Path Parameters

application_alias
string
required

Body

application/json
inputs
Inputs · object
required

Input data for the application. For agents service variants, you must provide inputs as a mapping from {input_name: input_value}. For V0 variants, you must specify the node your input should be passed to, structuring your input as {node_id: {input_name: input_value}}.

history
ApplicationRequestResponsePair · object[]

History of the application

overrides
AgenticApplicationOverrides · object

Execution override options for agentic applications

stream
boolean
default:false

Control to have streaming of the endpoint. If the last node before the output is a completion node, you can set this to true to get the output as soon as the completion node has a token

operation_metadata
Operation Metadata · object

Arbitrary user-defined metadata that can be attached to the process operations and will be registered in the interaction.

Response

Successful Response